Subject: httpd binary has a dependency on libssl.so

From: Edin Zulic <[email-masked]>
Date: Tue, 29 Apr 2003 03:19:15 -0700

Hello,

I've built Apache 2.0.45 with mod_ssl DSO and OpenSSL 0.9.7a on Linux,
Solaris, HP-UX, and AIX. On all those platforms I notice that the httpd
binary has a dependency on libssl.so, which is a bit of a surprise, since
it's mod_ssl that should have that dependency, not the Apache executable
itself. This means that even when mod_ssl is not loaded, is loaded anyway.
Is this really the case, or am I missing something?

My builds of Apache were usually configured something like:

CC="my_cc" CFLAGS="my flags" ./configure --prefix=my/install/dir
--enable-ssl=shared --with-mpm=worker

Thanks!
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]